Skip to main content
`Ctrl`+`K`

# TSGLLEGetAdapt

gets the `TSGLLEAdapt` object from the `TS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLEGetAdapt(TS ts, TSGLLEAdapt *adapt)

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameter

- adapt - the `TSGLLEAdapt` context

## Note

This allows the user set options on the `TSGLLEAdapt` object. Usually it is better to do this using the options database, so this function is rarely needed.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGLLE`, `TSGLLEAdapt`, `TSGLLEAdaptRegister()`

## Level

advanced

## Location

src/ts/impls/implicit/glle/glle.c

## Implementations

TSGLLEGetAdapt_GLLE() in src/ts/impls/implicit/glle/glle.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages